<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/system/Base_ware_location.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
<script>
import extend from "@/extension/system/BufferRack.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "设备请求信息查询",
      name: "/equipment",
      url: "/equipment/",
      sortName: "id",
    });
    const editFormFields = ref({});
    const editFormOptions = ref([]);
    const searchFormFields = ref({
      PLCDescroption: "",
    });
    const searchFormOptions = ref([
      [
        { title: "设备编号", field: "PLCDescroption", type: "like" },
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "ID",
        type: "guid",
        width: 90,
        require: true,
        align: "left",
        sortable: true,
        hidden: true,
      },
      {
        field: "PLCDescroption",  
        title: "设备编号",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },
      {
        field: "isSBWork",
        title: "是否有上料请求",
        type: "string",
        width: 120,
        require: true,
        align: "left",
        bind: { key: "", data: [
           { key: "False", value: "当前设备没有请求" },
           {key:"True",value:"当前设备有请求"},
           {key:"5",value:"滚筒位置1和位置2都可入"},
           {key:"1",value:"当前设备没有请求"},
           {key:"2",value:"工艺运行中"},
           {key:"9",value:"滚筒位置3和位置4都可出"},
           {key:"11",value:"自动模式出入料未启动"}] },
      },
      {
        field: "batchNo",
        title: "工单号",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },{
        field: "processName",
        title: "工序名",
        type: "string",
        width: 120,
        require: true,
        align: "left",
      },
      {
        field: "iswork",
        title: "光电信号检测",
        type: "string",
        width: 120,
        require: true,
        align: "left",
        bind: { key: "", data: [{ key: "1", value: "空" },{key:"2",value:"有货"}] },
      }, {
        field: "updatetime",
        title: "更新时间",
        type: "DateTime",
        width: 120,
        require: true,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
